/*
 * File         : NCSdatabase.java
 * Author       : Tomasz Stachowiak
 * Created      : Wed Jun 18 16:08:25 1997
 * Revision     : $Revision$
 * Updated      : $Date$
 * Copyright: Northeast Parallel Architectures Center
 *            at Syracuse University 1997
 */

import java.sql.*;
import java.util.*;

class NCSdatabase {

  Connection con;       // connection object

  // INITIALIZATION AND CLOSING
  public void init() throws Exception {

      Class.forName("COM.imaginary.sql.msql.MsqlDriver");

      con = DriverManager.getConnection
	("jdbc:msql://mirphak.npac.syr.edu:1114/NCS", "", "");
  }

  public void close() {
    try {
      con.close();
    } catch (SQLException e) {

      System.out.println("NCSdatabase: " + e);
    } 
  }


  public Connection getConnection() {

    return con;
  }

  public void updateSQL(String sql) {

    try {

      Statement stmt = con.createStatement();
      stmt.executeUpdate(sql);
      stmt.close();
      
    } catch (SQLException e) {

      System.out.println("NCSdatabase: " + e);
    }    
  }

  public ResultSet querySQL(String sql) throws SQLException {
      
      Statement stmt = con.createStatement();
      ResultSet rs = stmt.executeQuery(sql);
      stmt.close();

      return rs;
  }

}
